Bug 13768 - [Q35] 'celestia' failed to draw the texture of the celestial body
[Q35] 'celestia' failed to draw the texture of the celestial body
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915
git
Other Linux (All)
: medium normal
Assigned To: Zou Nan hai
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 00:55 UTC by Colin.Joe
Modified: 2009-08-24 12:28 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg.0.log (23.13 KB, text/plain)
2007-12-21 00:59 UTC, Colin.Joe
Details
xorg.conf (3.64 KB, text/plain)
2007-12-21 00:59 UTC, Colin.Joe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Colin.Joe 2007-12-21 00:55:41 UTC
System Environment:
--------------------------

--Platform:Q35

--Architecture(32-bit,64-bit,compatiblity):64bit 

--2D driver:
commit f69b48fe24ef94dac44b8123884ca71df675be4b

--3D driver:
commit 8aa0fd6b206930ababb1bae2acc629e2a945c0c0

--Xserver:
commit 7ef7727b800fa4715b80a82850d65b88fde5fe6c


--Kernel:
2.6.24-rc5


Bug detailed description:
-------------------------
startx ,run celestia , when trace to the earth ,it only draw a white ball without  any texture .


Reproduce steps:
----------------
 run celectia



Current result:
----------------
failed to draw the texture of the celestial body 


Expected result:
----------------
run normally
Comment 1 Colin.Joe 2007-12-21 00:59:15 UTC
Created attachment 13278 [details]
Xorg.0.log
Comment 2 Colin.Joe 2007-12-21 00:59:37 UTC
Created attachment 13279 [details]
xorg.conf
Comment 3 Colin.Joe 2007-12-23 19:12:49 UTC
This case also run failed at mesa 7.0.2 release ,but run normally at mesa git
mesa_7_0_branch tip.
Comment 4 Colin.Joe 2008-02-25 22:02:25 UTC
this case still run failed as before . 
Comment 5 Zou Nan hai 2008-02-26 00:50:05 UTC
fixed in commit 9bd2cb7f90ac434ec5be7d388f899976bf902dc1
Comment 6 Colin.Joe 2008-02-26 00:56:27 UTC
this bug has been fixed on mesa master tip .
Comment 7 ajax at nwnk dot net 2009-08-24 12:28:52 UTC
Mass version move, cvs -> git